# Uses of Class
javax.swing.event.ListDataEvent

Packages that use ListDataEvent
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of ListDataEvent in javax.swing

Methods in javax.swing with parameters of type ListDataEvent
Modifier and Type
Method
Description
`void`
JComboBox.`contentsChanged(ListDataEvent e)`
This method is public as an implementation side effect.
`void`
JList.AccessibleJList.`contentsChanged(ListDataEvent e)`
List Data Listener contents changed method.
`void`
JComboBox.`intervalAdded(ListDataEvent e)`
This method is public as an implementation side effect.
`void`
JList.AccessibleJList.`intervalAdded(ListDataEvent e)`
List Data Listener interval added method.
`void`
JComboBox.`intervalRemoved(ListDataEvent e)`
This method is public as an implementation side effect.
`void`
JList.AccessibleJList.`intervalRemoved(ListDataEvent e)`
List Data Listener interval removed method.

## Uses of ListDataEvent in javax.swing.event

Methods in javax.swing.event with parameters of type ListDataEvent
Modifier and Type
Method
Description
`void`
ListDataListener.`contentsChanged(ListDataEvent e)`
Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods.
`void`
ListDataListener.`intervalAdded(ListDataEvent e)`
Sent after the indices in the index0,index1 interval have been inserted in the data model.
`void`
ListDataListener.`intervalRemoved(ListDataEvent e)`
Sent after the indices in the index0,index1 interval have been removed from the data model.

## Uses of ListDataEvent in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type ListDataEvent
Modifier and Type
Method
Description
`void`
BasicComboBoxUI.ListDataHandler.`contentsChanged(ListDataEvent e)`
`void`
BasicComboPopup.ListDataHandler.`contentsChanged(ListDataEvent e)`
`void`
BasicListUI.ListDataHandler.`contentsChanged(ListDataEvent e)`
`void`
BasicComboBoxUI.ListDataHandler.`intervalAdded(ListDataEvent e)`
`void`
BasicComboPopup.ListDataHandler.`intervalAdded(ListDataEvent e)`
`void`
BasicDirectoryModel.`intervalAdded(ListDataEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
Obsolete method, not used anymore.
`void`
BasicListUI.ListDataHandler.`intervalAdded(ListDataEvent e)`
`void`
BasicComboBoxUI.ListDataHandler.`intervalRemoved(ListDataEvent e)`
`void`
BasicComboPopup.ListDataHandler.`intervalRemoved(ListDataEvent e)`
`void`
BasicDirectoryModel.`intervalRemoved(ListDataEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
Obsolete method, not used anymore.
`void`
BasicListUI.ListDataHandler.`intervalRemoved(ListDataEvent e)`